Issue 119660 - [From Symphony]Page number lost if save template to doc format
[From Symphony]Page number lost if save template to doc format
Product: Writer
Classification: Application
Component: save-export
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
Depends on:
Blocks: 120823
  Show dependency treegraph
Reported: 2012-06-01 06:32 UTC by Yan Ji
Modified: 2012-10-18 06:12 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---

sample (49.62 KB, application/msword)
2012-06-01 06:32 UTC, Yan Ji
no flags Details
patch for i119660 (2.56 KB, patch)
2012-09-14 01:48 UTC, zjchen
debin.lei: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-06-01 06:32:56 UTC
Created attachment 77885 [details]

Build: AOO3.4
1. Open sample dot file
2. Save it as doc file
3. Re-load doc file

Defect: page number lost
Comment 1 Lei Debin 2012-07-30 03:06:43 UTC
This issue has the same root cause as 119620.

*** This issue has been marked as a duplicate of issue 119620 ***
Comment 2 Lei Debin 2012-08-01 01:07:03 UTC
wrong msg:

This issue has the same root cause as 119620.

*** This bug has been marked as a duplicate of bug 119620 ***
Comment 3 zjchen 2012-09-14 01:29:47 UTC
The problem is that the headers and footers in a section with different first page may get a different page style. But AOO checks if the page style's header and footer margins is different, then would not export the page as first page. 
So the follow page inherit the improper default page style from fist page, and then they will lost the footer which is including page number field.

Notice that page descriptors and follow styles is not easily mapped to word sections. So add a special case for first page export when document is from MS Word.
Comment 4 zjchen 2012-09-14 01:48:33 UTC
Created attachment 79493 [details]
patch for i119660
Comment 5 Lei Debin 2012-09-17 05:22:19 UTC
The patch is workable and reasonable. Reviewed pass.
Comment 6 SVN Robot 2012-09-18 12:15:49 UTC
"zjchen" committed SVN revision 1387109 into trunk:
#i119660# Doc file saved by AOO, header and footer in continuous section with...
Comment 7 zjchen 2012-09-18 12:22:51 UTC
mark as resolved

@Lei Debin
Thanks for your review
Comment 8 Du Jing 2012-10-08 09:07:37 UTC
verified on the build AOO3.5_r1391367
Comment 9 Shenfeng Liu 2012-10-18 06:12:23 UTC
Update Target Milestone to AOO 3.5.0.